Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#12647 closed defect (othersoftware)

Main window not visible on OSX

Reported by: lists@… Owned by: team
Priority: normal Milestone:
Component: Core Version: tested
Keywords: osx Cc: lists@…

Description

What steps will reproduce the problem?

What is the expected result?

JOSM opens with main window visible, ready to download data for editing

What happens instead?

JOSM doesn't open any windows, get the main menubar on top of the screen, but nothing else. JOSM fails to call setVisible?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-03-13 01:17:21 +0100 (Sun, 13 Mar 2016)
Build-Date:2016-03-13 02:35:00
Revision:9979
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9979 en) Mac OS X 10.11.3
Memory Usage: 444 MB / 910 MB (310 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.library.path=/Applications/JOSM.app/Contents/MacOS, -DLibraryDirectory=/Users/skippern/Library, -DDocumentsDirectory=/Users/skippern/Documents, -DApplicationSupportDirectory=/Users/skippern/Library/Application Support, -DCachesDirectory=/Users/skippern/Library/Caches, -DSandboxEnabled=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Plugins:
- FixAddresses (31772)
- Mapillary (32040)
- OpeningHoursEditor (31772)
- SeaMapEditor (31772)
- apache-commons (31895)
- apache-http (31895)
- continuosDownload (1446070193)
- ejml (31895)
- geochat (31895)
- geotools (31895)
- jts (31772)
- merge-overlap (31967)
- opendata (32071)
- reverter (32005)
- rex (1884)
- turnlanes (31772)
- turnrestrictions (31895)
- undelete (31895)
- utilsplugin2 (32099)
- waydownloader (31772)

Last errors/warnings:
- W:  Isolated Dwelling: Could not get presets icon presets/places.png
- E: Failed to locate image 'presets/places.png'
- W:  Neighbourhood: Could not get presets icon presets/places.png
- E: Failed to locate image 'presets/cliff.png'
- W:  Cliff: Could not get presets icon presets/cliff.png

Attachments (0)

Change History (11)

comment:1 Changed 4 years ago by Don-vip

Owner: changed from team to lists@…
Status: newneedinfo

Can you please add a screenshot?

comment:2 Changed 4 years ago by lists@…

Screenshot of what, an empty screen?

comment:3 Changed 4 years ago by Don-vip

Keywords: osx added
Summary: Main window not visibleMain window not visible on OSX

OK got it, I didn't see you were on OSX, so I didn't understand how you could have the menu bar without any window...

Different questions then:

  • is it a regression from a previous JOSM version, if yes, which one?
  • did you update Java recently ?
  • did you update OSX recently?
  • does it occur only with OSX package? What about plain jar file, and webstart?
  • anything displayed in console if run with java -jar josm.jar --debug?

comment:4 Changed 4 years ago by lists@…

I updated Java this morning, run the previous stable, was informed that I needed to update JOSM, downloaded the new JOSM, run it one time without problem, and on the second run the window was gone.
This was with the OSX build package.

I will download the jar files separately and run tests to see if it also occurs with the .jar

I can't remember having done a OSX security update in the last month so it is definitely not OSX update.

comment:5 Changed 4 years ago by lists@…

Opening the josm-tested.jar file executed as normal, and than tried the the mac package, and it looks normal, must be something accidentally set to not visible at some point....

comment:6 Changed 4 years ago by Don-vip

Mmm, hard to investigate. I don't know OSX at all, is there some kind of system log where you could look into for potential problems?
Also, how many screens do you have? If more than 1, did you move JOSM from one screen to another?

comment:7 Changed 4 years ago by lists@…

Latest System Diagnostics Report for JOSM

Date/Time:       2016-03-18 16:13:20 -0300
OS Version:      Mac OS X 10.11.3 (Build 15D21)
Architecture:    x86_64
Report Version:  19

Command:         JOSM
Path:            /Applications/JOSM.app/Contents/MacOS/JOSM
Version:         9979 SVN (9979 SVN)
Parent:          launchd [1]
PID:             54217

Event:           wakeups (microstackshots only)
Wakeups:         194 wakeups per second for 232 seconds
Duration:        232.00s
Steps:           237

Hardware model:  MacBookPro10,1
Active cpus:     8

Fan speed:       5930 rpm


Powerstats for:  JOSM [54217]
UUID:            9C9E19E4-F14A-36E5-A879-7DE59B3FC1B8
Start time:      2016-03-18 16:15:15 -0300
End time:        2016-03-18 16:16:56 -0300
Parent:          launchd
Microstackshots: 18 samples (7%)
Primary state:   8 samples Frontmost App, Non-Suppressed, User mode, Thread QoS Legacy
User Activity:   0 samples Idle, 18 samples Active
Power Source:    0 samples on Battery, 18 samples on AC
  16 thread_start + 13 (libsystem_pthread.dylib) [0x7fff95621375]
    16 _pthread_start + 168 (libsystem_pthread.dylib) [0x7fff95623b90]
      16 _pthread_body + 131 (libsystem_pthread.dylib) [0x7fff95623c13]
        15 java_start(Thread*) + 246 (libjvm.dylib) [0x105c838a2]
          14 JavaThread::run() + 450 (libjvm.dylib) [0x105d62e4e]
            14 JavaThread::thread_main_inner() + 155 (libjvm.dylib) [0x105d61753]
              8  thread_entry(JavaThread*, Thread*) + 124 (libjvm.dylib) [0x105b45d31]
                8  JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) + 74 (libjvm.dylib) [0x105aeb7b4]
                  8  JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) + 356 (libjvm.dylib) [0x105aeb608]
                    8  JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) + 1710 (libjvm.dylib) [0x105aeae7a]
                      8  ??? [0x1067d37a7]
                        3  ??? [0x1067dac4d]
                          3  ??? [0x106968f28]
                            3  JVM_MonitorWait + 156 (libjvm.dylib) [0x105b4c6ff]
                              3  ObjectSynchronizer::wait(Handle, long, Thread*) + 202 (libjvm.dylib) [0x105d2f240]
                                3  ObjectMonitor::wait(long, bool, Thread*) + 765 (libjvm.dylib) [0x105c771db]
                                  3  os::PlatformEvent::park(long) + 404 (libjvm.dylib) [0x105c80528]
                                    3  __psynch_cvwait + 10 (libsystem_kernel.dylib) [0x7fff9545deb2]
                                      3  <Kernel mode>
                        2  ??? [0x107fc867c]
                          2  ??? [0x10766eb2a]
                            1  Java_sun_java2d_opengl_OGLRenderQueue_flushBuffer + 2886 (libawt_lwawt.dylib) [0x11caea8d6]
                              1  ??? (GeForceGLDriver + 3231144) [0x7fff9c11ada8]
                                1  ??? (GeForceGLDriver + 3231532) [0x7fff9c11af2c]
                                  1  gpusSubmitDataBuffers + 134 (libGPUSupportMercury.dylib) [0x7fff9ba8d1e8]
                                    1  IOAccelContextSubmitDataBuffersExt + 268 (IOAccelerator) [0x7fff9d9ee448]
                                      1  IOConnectCallStructMethod + 56 (IOKit) [0x7fff917aa9a8]
                                        1  IOConnectCallMethod + 342 (IOKit) [0x7fff917aa7d8]
                                          1  io_connect_method + 384 (IOKit) [0x7fff91808ce3]
                                            1  mach_msg_trap + 10 (libsystem_kernel.dylib) [0x7fff95458386]
                                              1  <Kernel mode>
                            1  Java_sun_java2d_opengl_OGLRenderQueue_flushBuffer + 977 (libawt_lwawt.dylib) [0x11caea161]
                              1  OGLBlitLoops_Blit + 1773 (libawt_lwawt.dylib) [0x11cae5891]
                                1  OGLBlitToSurfaceViaTexture + 1011 (libawt_lwawt.dylib) [0x11cae4f8f]
                                  1  glBegin_Exec + 96 (GLEngine) [0x7fff9d1a710c]
                                    1  gleDoDrawDispatchCore + 533 (GLEngine) [0x7fff9d29aad4]
                                      1  gldUpdateDispatch + 887 (GeForceGLDriver) [0x7fff9c11a7f4]
                                        1  ??? (GeForceGLDriver + 3350482) [0x7fff9c137fd2]
                                          1  gpusLoadCurrentTextures + 680 (libGPUSupportMercury.dylib) [0x7fff9ba923cc]
                                            1  ??? (GeForceGLDriver + 3338825) [0x7fff9c135249]
                                              1  ??? (GeForceGLDriver + 3340240) [0x7fff9c1357d0]
                                                1  IOAccelResourceFinishEvent + 178 (IOAccelerator) [0x7fff9d9eff77]
                                                  1  IOConnectCallMethod + 262 (IOKit) [0x7fff917aa788]
                                                    1  io_connect_method + 384 (IOKit) [0x7fff91808ce3]
                                                      1  mach_msg_trap + 10 (libsystem_kernel.dylib) [0x7fff95458386]
                                                        1  <Kernel mode>
                        1  ??? [0x1067eba20]
                        1  ??? [0x10766ce8c]
                          1  ??? [0x10766eb2a]
                            1  Java_sun_java2d_opengl_OGLRenderQueue_flushBuffer + 475 (libawt_lwawt.dylib) [0x11cae9f6b]
                              1  OGLRenderer_FillParallelogram + 61 (libawt_lwawt.dylib) [0x11caeb1b7]
                                1  OGLRenderQueue_CheckPreviousOp + 281 (libawt_lwawt.dylib) [0x11caeabef]
                                  1  glBegin_Exec + 96 (GLEngine) [0x7fff9d1a710c]
                                    1  gleDoDrawDispatchCore + 104 (GLEngine) [0x7fff9d29a927]
                                      1  gleUpdateDrawFramebufferState + 560 (GLEngine) [0x7fff9d299aed]
                                        1  gldUpdateDrawFramebuffer + 166 (libGPUSupportMercury.dylib) [0x7fff9ba8ec80]
                                          1  ??? (GeForceGLDriver + 3138846) [0x7fff9c10451e]
                                            1  ??? (GeForceGLDriver + 2045981) [0x7fff9bff981d]
                                              1  ??? (GeForceGLDriver + 6497103) [0x7fff9c43834f]
                                                1  ??? (GeForceGLDriver + 6496862) [0x7fff9c43825e]
                                                  1  ??? (GeForceGLDriver + 6496213) [0x7fff9c437fd5]
                                                    1  ??? (GeForceGLDriver + 2034137) [0x7fff9bff69d9]
                                                      1  ??? (GeForceGLDriver + 2012191) [0x7fff9bff141f]
                                                        1  ??? (GeForceGLDriver + 3589008) [0x7fff9c172390]
                        1  ??? [0x1067dac92]
                          1  ??? [0x108385204]
                            1  ??? [0x1070af76a]
                              1  Unsafe_Park + 126 (libjvm.dylib) [0x105d7796a]
                                1  pthread_threadid_np + 114 (libsystem_pthread.dylib) [0x7fff9562464a]
              5  CompileBroker::compiler_thread_loop() + 657 (libjvm.dylib) [0x1059b77e1]
                5  CompileBroker::invoke_compiler_on_method(CompileTask*) + 1458 (libjvm.dylib) [0x1059b529a]
                  5  C2Compiler::compile_method(ciEnv*, ciMethod*, int) + 172 (libjvm.dylib) [0x10594f93e]
                    3  Compile::Compile(ciEnv*, C2Compiler*, ciMethod*, int, bool, bool, bool) + 1737 (libjvm.dylib) [0x1059b1a0d]
                      3  ParseGenerator::generate(JVMState*) + 100 (libjvm.dylib) [0x10595001a]
                        3  Parse::Parse(JVMState*, ciMethod*, float) + 1405 (libjvm.dylib) [0x105c9b3ab]
                          3  Parse::do_all_blocks() + 625 (libjvm.dylib) [0x105c997dd]
                            3  Parse::do_one_block() + 193 (libjvm.dylib) [0x105c994d9]
                              3  Parse::do_one_bytecode() + 18564 (libjvm.dylib) [0x105ca3370]
                                3  Parse::do_call() + 715 (libjvm.dylib) [0x105a36c0d]
                                  3  ParseGenerator::generate(JVMState*) + 100 (libjvm.dylib) [0x10595001a]
                                    3  Parse::Parse(JVMState*, ciMethod*, float) + 1405 (libjvm.dylib) [0x105c9b3ab]
                                      3  Parse::do_all_blocks() + 625 (libjvm.dylib) [0x105c997dd]
                                        3  Parse::do_one_block() + 193 (libjvm.dylib) [0x105c994d9]
                                          3  Parse::do_one_bytecode() + 18564 (libjvm.dylib) [0x105ca3370]
                                            3  Parse::do_call() + 715 (libjvm.dylib) [0x105a36c0d]
                                              3  ParseGenerator::generate(JVMState*) + 100 (libjvm.dylib) [0x10595001a]
                                                3  Parse::Parse(JVMState*, ciMethod*, float) + 1405 (libjvm.dylib) [0x105c9b3ab]
                                                  3  Parse::do_all_blocks() + 625 (libjvm.dylib) [0x105c997dd]
                                                    3  Parse::do_one_block() + 193 (libjvm.dylib) [0x105c994d9]
                                                      2  Parse::do_one_bytecode() + 6000 (libjvm.dylib) [0x105ca025c]
                                                        2  Parse::do_field_access(bool, bool) + 414 (libjvm.dylib) [0x105ca4bfc]
                                                          2  PhaseValues::uncached_makecon(Type const*) + 47 (libjvm.dylib) [0x105cade1b]
                                                            2  NodeHash::hash_find_insert(Node*) + 207 (libjvm.dylib) [0x105cac587]
                                                      1  Parse::do_one_bytecode() + 18564 (libjvm.dylib) [0x105ca3370]
                                                        1  Parse::do_call() + 715 (libjvm.dylib) [0x105a36c0d]
                                                          1  ParseGenerator::generate(JVMState*) + 100 (libjvm.dylib) [0x10595001a]
                                                            1  Parse::Parse(JVMState*, ciMethod*, float) + 1405 (libjvm.dylib) [0x105c9b3ab]
                                                              1  Parse::do_all_blocks() + 625 (libjvm.dylib) [0x105c997dd]
                                                                1  Parse::do_one_block() + 193 (libjvm.dylib) [0x105c994d9]
                                                                  1  Parse::do_one_bytecode() + 18564 (libjvm.dylib) [0x105ca3370]
                                                                    1  Parse::do_call() + 715 (libjvm.dylib) [0x105a36c0d]
                                                                      1  ParseGenerator::generate(JVMState*) + 100 (libjvm.dylib) [0x10595001a]
                                                                        1  Parse::Parse(JVMState*, ciMethod*, float) + 1405 (libjvm.dylib) [0x105c9b3ab]
                                                                          1  Parse::do_all_blocks() + 625 (libjvm.dylib) [0x105c997dd]
                                                                            1  Parse::do_one_block() + 193 (libjvm.dylib) [0x105c994d9]
                                                                              1  Parse::do_one_bytecode() + 18564 (libjvm.dylib) [0x105ca3370]
                                                                                1  Parse::do_call() + 574 (libjvm.dylib) [0x105a36b80]
                                                                                  1  Compile::call_generator(ciMethod*, int, bool, JVMState*, bool, float, ciKlass*, bool, bool) + 1005 (libjvm.dylib) [0x105a36439]
                                                                                    1  InlineTree::ok_to_inline(ciMethod*, JVMState*, ciCallProfile&, WarmCallInfo*, bool&) + 88 (libjvm.dylib) [0x1058decf6]
                                                                                      1  InlineTree::check_can_parse(ciMethod*) + 93 (libjvm.dylib) [0x1058de115]
                                                                                        1  ciMethod::get_flow_analysis() + 107 (libjvm.dylib) [0x10596d3c3]
                                                                                          1  ciTypeFlow::do_flow() + 20 (libjvm.dylib) [0x10597add8]
                                                                                            1  ciTypeFlow::flow_types() + 249 (libjvm.dylib) [0x10597acdf]
                                                                                              1  ciTypeFlow::df_flow_types(ciTypeFlow::Block*, bool, ciTypeFlow::StateVector*, ciTypeFlow::JsrSet*) + 568 (libjvm.dylib) [0x10597a692]
                                                                                                1  ciTypeFlow::flow_block(ciTypeFlow::Block*, ciTypeFlow::StateVector*, ciTypeFlow::JsrSet*) + 327 (libjvm.dylib) [0x10597a2f5]
                                                                                                  1  ciTypeFlow::StateVector::apply_one_bytecode(ciBytecodeStream*) + 1393 (libjvm.dylib) [0x10597977f]
                                                                                                    1  ciTypeFlow::StateVector::do_invoke(ciBytecodeStream*, bool) + 45 (libjvm.dylib) [0x10597903d]
                                                                                                      1  ciBytecodeStream::get_method(bool&, ciSignature**) + 281 (libjvm.dylib) [0x105975791]
                                                                                                        1  ciEnv::get_method_by_index(constantPoolHandle, int, Bytecodes::Code, ciInstanceKlass*) + 151 (libjvm.dylib) [0x105964753]
                                                                                                          1  ciEnv::get_method_by_index_impl(constantPoolHandle, int, Bytecodes::Code, ciInstanceKlass*) + 95 (libjvm.dylib) [0x105964405]
                                                                                                            1  ciObjectFactory::get_metadata(Metadata*) + 84 (libjvm.dylib) [0x105972234]
                                                                                                              1  ciObjectFactory::create_new_metadata(Metadata*) + 461 (libjvm.dylib) [0x1059720e5]
                                                                                                                1  ciMethod::ciMethod(methodHandle, ciInstanceKlass*) + 495 (libjvm.dylib) [0x105969bcd]
                                                                                                                  1  ciObjectFactory::get_symbol(Symbol*) + 92 (libjvm.dylib) [0x1059722e8]
                                                                                                                    1  ciSymbol::ciSymbol(Symbol*, vmSymbols::SID) + 11 (libjvm.dylib) [0x10597694d]
                    1  Compile::Compile(ciEnv*, C2Compiler*, ciMethod*, int, bool, bool, bool) + 2255 (libjvm.dylib) [0x1059b1c13]
                      1  Compile::Optimize() + 605 (libjvm.dylib) [0x1059aea03]
                        1  ConnectionGraph::do_analysis(Compile*, PhaseIterGVN*) + 199 (libjvm.dylib) [0x105a3e7a9]
                          1  ConnectionGraph::compute_escape() + 414 (libjvm.dylib) [0x105a3e266]
                            1  PhaseIterGVN::add_users_to_worklist(Node*) + 36 (libjvm.dylib) [0x105caccd6]
                              1  PhaseIterGVN::add_users_to_worklist0(Node*) + 48 (libjvm.dylib) [0x105cac708]
                                1  Unique_Node_List::push(Node*) + 7 (libjvm.dylib) [0x1058a045f]
                    1  Compile::Compile(ciEnv*, C2Compiler*, ciMethod*, int, bool, bool, bool) + 2416 (libjvm.dylib) [0x1059b1cb4]
                      1  Compile::Code_Gen() + 334 (libjvm.dylib) [0x1059ade60]
                        1  PhaseChaitin::Register_Allocate() + 1609 (libjvm.dylib) [0x10596062d]
                          1  PhaseChaitin::Simplify() + 190 (libjvm.dylib) [0x10595f4dc]
              1  CompileBroker::compiler_thread_loop() + 376 (libjvm.dylib) [0x1059b76c8]
                1  CompileQueue::get() + 122 (libjvm.dylib) [0x1059b74a6]
                  1  Monitor::wait(bool, long, bool) + 222 (libjvm.dylib) [0x105c5d38c]
                    1  Monitor::IWait(Thread*, long) + 168 (libjvm.dylib) [0x105c5d1bc]
                      1  os::PlatformEvent::park(long) + 404 (libjvm.dylib) [0x105c80528]
                        1  __psynch_cvwait + 10 (libsystem_kernel.dylib) [0x7fff9545deb2]
                          1  <Non-Frontmost App, Suppressed, Kernel mode>
          1  WatcherThread::run() + 243 (libjvm.dylib) [0x105d62ac3]
            1  WatcherThread::sleep() const + 126 (libjvm.dylib) [0x105d61c30]
              1  Monitor::wait(bool, long, bool) + 375 (libjvm.dylib) [0x105c5d425]
                1  Monitor::IWait(Thread*, long) + 168 (libjvm.dylib) [0x105c5d1bc]
                  1  os::PlatformEvent::park(long) + 404 (libjvm.dylib) [0x105c80528]
                    1  __psynch_cvwait + 10 (libsystem_kernel.dylib) [0x7fff9545deb2]
                      1  <Kernel mode>
        1  startIOThread(void*) + 147 (CoreVideo) [0x7fff957359a9]
          1  CVDisplayLink::runIOThread() + 627 (CoreVideo) [0x7fff95735f45]
            1  CVDisplayLink::performIO(CVTimeStamp*) + 258 (CoreVideo) [0x7fff957363ba]
              1  link_callback + 237 (QuartzCore) [0x7fff9843df5f]
                1  view_display_link(double, CVTimeStamp const*, void*) + 150 (QuartzCore) [0x7fff9843e09d]
                  1  view_draw(_CAView*, double, CVTimeStamp const*, bool) + 1440 (QuartzCore) [0x7fff9843e670]
                    1  view_state_finish(_CAViewState*) + 55 (QuartzCore) [0x7fff98440a2d]
                      1  gleFinishFence + 89 (GLEngine) [0x7fff9d2a2f54]
                        1  gldFinishObject + 48 (libGPUSupportMercury.dylib) [0x7fff9ba916c0]
                          1  gpuiFinishFence + 113 (libGPUSupportMercury.dylib) [0x7fff9ba8de87]
                            1  IOAccelContextFinishFenceEvent + 42 (IOAccelerator) [0x7fff9d9ee300]
                              1  IOConnectCallScalarMethod + 111 (IOKit) [0x7fff917aaa6c]
                                1  io_connect_method + 384 (IOKit) [0x7fff91808ce3]
                                  1  mach_msg_trap + 10 (libsystem_kernel.dylib) [0x7fff95458386]
                                    1  <Kernel mode, Thread QoS Unspecified>
  1  ??? [0x1079aea94]
    1  ??? [0x10778aae6]
      1  Java_apple_laf_JRSUIControl_paintImage + 39 (libosxui.dylib) [0x11c79d79c]
        1  doPaintImage + 350 (libosxui.dylib) [0x11c79d628]
          1  JRSUIControlDraw + 68 (JavaRuntimeSupport) [0x11a851900]
            1  -[_JRSYosemiteAndLaterRenderer draw:inContext:withBounds:] + 280 (JavaRuntimeSupport) [0x11a851538]
              1  CUIDraw + 175 (CoreUI) [0x7fff9762e9c4]
                1  CUIRenderer::Draw(CGRect, CGContext*, __CFDictionary const*, __CFDictionary const**) + 2341 (CoreUI) [0x7fff9762c065]
                  1  CUICoreThemeRenderer::DrawProgressBar(CUIDescriptor const*) + 2685 (CoreUI) [0x7fff9769d52d]
                    1  -[CUIThemeFacet drawInFrame:isFocused:context:] + 137 (CoreUI) [0x7fff9768dc62]
                      1  -[CUIThemeFacet _drawSpecificRenditionKey:inFrame:context:isFocused:isFlipped:] + 163 (CoreUI) [0x7fff9768f94a]
                        1  -[CUIThemeFacet _drawSpecificRenditionKey:rendition:inFrame:context:alpha:operation:isFocused:isFlipped:] + 292 (CoreUI) [0x7fff9768fb5c]
                          1  DrawThreePartElementFromRenditionWithOperation + 233 (CoreUI) [0x7fff976876c7]
                            1  DrawThreePartImageWithOperation + 200 (CoreUI) [0x7fff9768779e]
                              1  CGContextSaveGState + 32 (CoreGraphics) [0x7fff95dff4df]
                                1  CGGStackSave + 77 (CoreGraphics) [0x7fff95dff54d]
                                  1  malloc + 42 (libsystem_malloc.dylib) [0x7fff8c6440dc]
                                    1  malloc_zone_malloc + 71 (libsystem_malloc.dylib) [0x7fff8c6455b1]
                                      1  _os_lock_spin_lock + 12 (libsystem_platform.dylib) [0x7fff90c7dad6]
                                        1  <Kernel mode>
  1  start + 52 (JOSM) [0x10452b894]
    1  main + 102 (JOSM) [0x10452b906]
      1  launch + 7603 (JOSM) [0x10452d8d3]
        1  JLI_Launch + 1952 (libjli.dylib) [0x104794644]
          1  CreateExecutionEnvironment + 871 (libjli.dylib) [0x1047988fb]
            1  CFRunLoopRunSpecific + 296 (CoreFoundation) [0x7fff8beea338]
              1  __CFRunLoopRun + 927 (CoreFoundation) [0x7fff8beea93f]
                1  __CFRunLoopDoSources0 + 556 (CoreFoundation) [0x7fff8beeb41c]
                  1  __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17 (CoreFoundation) [0x7fff8bef95c1]
                    1  __NSThreadPerformPerform + 279 (Foundation) [0x7fff98be6d4b]
                      1  -[AWTStarter starter:] + 905 (libawt_lwawt.dylib) [0x11caf355b]
                        1  +[NSApplicationAWT runAWTLoopWithApp:] + 156 (libosxapp.dylib) [0x11c47414d]
                          1  -[NSApplication run] + 796 (AppKit) [0x7fff8ac1303a]
                            1  -[NSApplicationAWT sendEvent:] + 378 (libosxapp.dylib) [0x11c47432c]
                              1  -[NSApplication sendEvent:] + 2540 (AppKit) [0x7fff8acdfe49]
                                1  -[AWTWindow_Normal sendEvent:] + 86 (libawt_lwawt.dylib) [0x11cab79bb]
                                  1  -[NSWindow sendEvent:] + 517 (AppKit) [0x7fff8ace3735]
                                    1  -[NSWindow _reallySendEvent:isDelayedEvent:] + 212 (AppKit) [0x7fff8b38afad]
                                      1  -[NSWindow _handleMouseDownEvent:isDelayedEvent:] + 6322 (AppKit) [0x7fff8b389d1d]
                                        1  -[NSThemeFrame mouseDown:] + 68 (AppKit) [0x7fff8add6449]
                                          1  -[NSWindow(NSWindowResizing) _resizeWithEvent:] + 910 (AppKit) [0x7fff8af20605]
                                            1  -[NSView _getNextResizeEventFromMask:invalidatingLiveResizeCacheIfNecessary:] + 152 (AppKit) [0x7fff8af20f68]
                                              1  -[NSApplicationAWT nextEventMatchingMask:untilDate:inMode:dequeue:] + 124 (libosxapp.dylib) [0x11c4743aa]
                                                1  -[NSApplication _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 454 (AppKit) [0x7fff8afe9943]
                                                  1  _DPSNextEvent + 1067 (AppKit) [0x7fff8ac1d0ee]
                                                    1  _BlockUntilNextEventMatchingListInModeWithFilter + 71 (HIToolbox) [0x7fff9451f5af]
                                                      1  ReceiveNextEventCommon + 184 (HIToolbox) [0x7fff9451f677]
                                                        1  RunCurrentEventLoopInMode + 235 (HIToolbox) [0x7fff9451f935]
                                                          1  CFRunLoopRunSpecific + 328 (CoreFoundation) [0x7fff8beea358]
                                                            1  __CFRunLoopDoObservers + 391 (CoreFoundation) [0x7fff8bef8da7]
                                                              1  __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23 (CoreFoundation) [0x7fff8bef8e37]
                                                                1  CA::Transaction::observer_callback(__CFRunLoopObserver*, unsigned long, void*) + 71 (QuartzCore) [0x7fff9842c917]
                                                                  1  CA::Transaction::commit() + 508 (QuartzCore) [0x7fff9841da24]
                                                                    1  CA::Context::commit_transaction(CA::Transaction*) + 2473 (QuartzCore) [0x7fff9841e585]
                                                                      1  CA::Transaction::run_commit_handlers(CATransactionPhase) + 85 (QuartzCore) [0x7fff98583b5d]
                                                                        1  __39+[_NSCGSTransaction currentTransaction]_block_invoke43 + 34 (AppKit) [0x7fff8b4c77b0]
                                                                          1  NSCGSTransactionRunPostCommitActions_ + 211 (AppKit) [0x7fff8b4c7104]
                                                                            1  CAViewDraw + 165 (QuartzCore) [0x7fff9842f5e4]
                                                                              1  view_draw(_CAView*, double, CVTimeStamp const*, bool) + 3957 (QuartzCore) [0x7fff9843f045]
                                                                                1  CGLFlushDrawable + 66 (OpenGL) [0x7fff9e728ff6]
                                                                                  1  glSwap_Exec + 97 (GLEngine) [0x7fff9d1a7c81]
                                                                                    1  gldPresentFramebufferData + 417 (GeForceGLDriver) [0x7fff9c11b2b0]
                                                                                      1  ??? (GeForceGLDriver + 3231532) [0x7fff9c11af2c]
                                                                                        1  gpusSubmitDataBuffers + 134 (libGPUSupportMercury.dylib) [0x7fff9ba8d1e8]
                                                                                          1  IOAccelContextSubmitDataBuffersExt + 268 (IOAccelerator) [0x7fff9d9ee448]
                                                                                            1  IOConnectCallStructMethod + 56 (IOKit) [0x7fff917aa9a8]
                                                                                              1  IOConnectCallMethod + 342 (IOKit) [0x7fff917aa7d8]
                                                                                                1  io_connect_method + 384 (IOKit) [0x7fff91808ce3]
                                                                                                  1  mach_msg_trap + 10 (libsystem_kernel.dylib) [0x7fff95458386]
                                                                                                    1  <Kernel mode, Thread QoS User Interactive>

  Binary Images:
         0x10452a000 -        0x10452dfff  org.openstreetmap.josm 9979 SVN (9979 SVN) <9C9E19E4-F14A-36E5-A879-7DE59B3FC1B8> /Applications/JOSM.app/Contents/MacOS/JOSM
         0x104793000 -        0x10479dfff  libjli.dylib (1) <842B8566-51A8-3842-9307-96BEC9966B8C> /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/jli/libjli.dylib
         0x105800000 -        0x105ffffff  libjvm.dylib (1) <A54B6124-BF88-35B3-837C-427C4C63D84E> /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/server/libjvm.dylib
         0x11a84d000 -        0x11a856ff7  com.apple.java.JavaRuntimeSupport 15.0.1 (15.0.1) <DC597292-478F-3B4A-B99E-BA21C0AE8909> /System/Library/Frameworks/JavaVM.framework/Frameworks/JavaRuntimeSupport.framework/JavaRuntimeSupport
         0x11c472000 -        0x11c478fff  libosxapp.dylib (1) <915C0924-3D8D-3838-BC54-C581FB1083A0> /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/libosxapp.dylib
         0x11c79b000 -        0x11c79ffff  libosxui.dylib (1) <BE8601AA-707F-36D6-BC64-4BF8F75C5795> /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/libosxui.dylib
         0x11caaf000 -        0x11cb1ffff  libawt_lwawt.dylib (1) <3275C957-A7A9-328F-825C-AEB36D26007E> /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/lib/libawt_lwawt.dylib
      0x7fff8ab93000 -     0x7fff8b7b6ff7  com.apple.AppKit 6.9 (1404.34) <467468E2-C551-3408-B351-414B21F57DEB> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
      0x7fff8be7b000 -     0x7fff8c2f1fff  com.apple.CoreFoundation 6.9 (1256.14) <768A7FB7-9143-3148-8591-7C6ED3162D35> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
      0x7fff8c643000 -     0x7fff8c65fff7  libsystem_malloc.dylib (67) <9EECAB18-F025-34C4-8E32-7EFFA6720EFC> /usr/lib/system/libsystem_malloc.dylib
      0x7fff90c7c000 -     0x7fff90c84fe7  libsystem_platform.dylib (74.10.3) <D3A27E10-7F08-3603-ACC8-7A92B2C04BAB> /usr/lib/system/libsystem_platform.dylib
      0x7fff917a4000 -     0x7fff91818fff  com.apple.framework.IOKit 2.0.2 <D92E537D-F96D-39E1-B9AC-9A18943AFCC7> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
      0x7fff944ef000 -     0x7fff947e4fff  com.apple.HIToolbox 2.1.1 <D9338BEF-CA84-3085-B6CB-4E93B3B9A2E1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
      0x7fff95447000 -     0x7fff95465fff  libsystem_kernel.dylib (3248.30.4) <9CEB6C3B-1CAF-3C32-A9FD-93BC72CBCEA1> /usr/lib/system/libsystem_kernel.dylib
      0x7fff95620000 -     0x7fff95629ff7  libsystem_pthread.dylib (138.10.4) <327CECD0-B881-3153-8FCC-4FD4818B7F16> /usr/lib/system/libsystem_pthread.dylib
      0x7fff9572e000 -     0x7fff95762ff7  com.apple.CoreVideo 1.8 (191.2) <88D903C8-E608-320E-8ACD-11E5B3003C18> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
      0x7fff95dec000 -     0x7fff97057ffb  com.apple.CoreGraphics 1.600.0 <A5BCCC6D-D931-360D-BF45-02F5ED4E1773> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
      0x7fff97623000 -     0x7fff9776dfc7  com.apple.coreui 2.1 (365.2) <727C55D3-503A-3EC4-8A23-C984E320F65F> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
      0x7fff98410000 -     0x7fff985deffb  com.apple.QuartzCore 1.11 (410.14) <CB19502B-D25F-379C-B50F-08A98FF73B68> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
      0x7fff98b59000 -     0x7fff98eadff7  com.apple.Foundation 6.9 (1256.1) <66106CC9-9D97-3846-88D8-4BF6BB508296> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
      0x7fff9ba8a000 -     0x7fff9ba95fff  libGPUSupportMercury.dylib (12.0.40.6) <6061FB76-565E-3E11-B659-50827DFB0BDE> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
      0x7fff9be06000 -     0x7fff9c664fff  com.apple.GeForceGLDriver 10.8.14 (10.0.8) <76880827-266C-31E8-812D-4F6650906A79> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
      0x7fff9d18b000 -     0x7fff9d336ffb  GLEngine (12.0.40.6) <D55FDA69-AE2C-3AA1-9565-309C13C1C5C2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
      0x7fff9d9ec000 -     0x7fff9d9f2fff  com.apple.IOAccelerator 205.1 (205.1) <9B56A248-FA12-3DB9-AD97-51EB4700E8A8> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
      0x7fff9e71c000 -     0x7fff9e72afff  com.apple.opengl 12.0.40 (12.0.40) <D37D88AE-0731-3105-99AB-984DA9B9BCE6> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL


Powerstats for:  Python
UUID:            C517A5DB-2554-3B18-B185-056F652B2F55
Start time:      2016-03-18 16:13:21 -0300
End time:        2016-03-18 16:17:11 -0300
Microstackshots: 105 samples (44%)
Primary state:   96 samples Non-Frontmost App, User mode, Thread QoS Legacy
User Activity:   0 samples Idle, 105 samples Active
Power Source:    0 samples on Battery, 105 samples on AC
  105 start + 1 (libdyld.dylib) [0x7fff9a1a05ad]
    105 Py_Main + 3137 (Python) [0x1042a8011]
      105 PyRun_SimpleFileExFlags + 698 (Python) [0x104296634]
        105 PyRun_FileExFlags + 133 (Python) [0x104296ae5]
          105 ??? (Python + 666178) [0x104296a42]
            105 PyEval_EvalCode + 54 (Python) [0x104276d8c]
              105 PyEval_EvalCodeEx + 1583 (Python) [0x1042773c1]
                105 PyEval_EvalFrameEx + 11609 (Python) [0x10427a30c]
                  105 ??? (Python + 562497) [0x10427d541]
                    71  PyEval_EvalFrameEx + 9311 (Python) [0x104279a12]
                      62  ??? (Python + 224637) [0x10422ad7d]
                        37  ??? (Python + 223264) [0x10422a820]
                          36  PyObject_RichCompareBool + 38 (Python) [0x10422e65e]
                            36  PyObject_RichCompare + 227 (Python) [0x10422e40b]
                              31  ??? (Python + 245676) [0x10422ffac]
                                28  PyUnicodeUCS2_RichCompare + 15 (Python) [0x104254fb6]
                                  20  PyUnicodeUCS2_Compare + 45 (Python) [0x104254ebb]
                                    17  PyUnicodeUCS2_FromEncodedObject + 212 (Python) [0x10424e946]
                                      3   PyUnicodeUCS2_Decode + 49 (Python) [0x10424ea04]
                                        1   _platform_strcmp + 236 (libsystem_platform.dylib) [0x7fff90c7dbec]
                                        1   _platform_strcmp + 218 (libsystem_platform.dylib) [0x7fff90c7dbda]
                                        1   _platform_strcmp + 45 (libsystem_platform.dylib) [0x7fff90c7db2d]
                                          1   <Kernel mode>
                                      3   PyUnicodeUCS2_DecodeASCII + 168 (Python) [0x10424ec36]
                                      2   PyUnicodeUCS2_Decode + 72 (Python) [0x10424ea1b]
                                        1   _platform_strcmp + 7 (libsystem_platform.dylib) [0x7fff90c7db07]
                                        1   _platform_strcmp + 213 (libsystem_platform.dylib) [0x7fff90c7dbd5]
                                      2   PyUnicodeUCS2_DecodeASCII + 93 (Python) [0x10424ebeb]
                                        1   ??? (Python + 365725) [0x10424d49d]
                                        1   ??? (Python + 365750) [0x10424d4b6]
                                      2   _os_lock_spin_lock + 54 (libsystem_platform.dylib) [0x7fff90c7db00]
                                      1   PyUnicodeUCS2_DecodeASCII + 41 (Python) [0x10424ebb7]
                                      1   PyUnicodeUCS2_Decode + 4 (Python) [0x10424e9d7]
                                      1   PyUnicodeUCS2_DecodeASCII + 123 (Python) [0x10424ec09]
                                      1   PyUnicodeUCS2_DecodeASCII + 360 (Python) [0x10424ecf6]
                                      1   PyUnicodeUCS2_DecodeASCII + 97 (Python) [0x10424ebef]
                                    1   PyUnicodeUCS2_FromEncodedObject + 8 (Python) [0x10424e87a]
                                    1   PyUnicodeUCS2_FromEncodedObject + 6 (Python) [0x10424e878]
                                    1   PyUnicodeUCS2_DecodeASCII + 498 (Python) [0x10424ed80]
                                  5   PyUnicodeUCS2_Compare + 89 (Python) [0x104254ee7]
                                    1   <Kernel mode>
                                  2   ??? (Python + 409749) [0x104258095]
                                    1   <Kernel mode>
                                  1   PyUnicodeUCS2_Compare + 10 (Python) [0x104254e98]
                                1   PyUnicodeUCS2_RichCompare + 10 (Python) [0x104254fb1]
                                1   PyBool_FromLong + 14 (Python) [0x1041ff013]
                                1   PyUnicodeUCS2_RichCompare + 98 (Python) [0x104255009]
                              3   ??? (Python + 245548) [0x10422ff2c]
                                2   PyType_IsSubtype + 69 (Python) [0x1042405f9]
                                1   PyType_IsSubtype + 64 (Python) [0x1042405f4]
                              1   ??? (Python + 245784) [0x104230018]
                              1   ??? (Python + 245660) [0x10422ff9c]
                          1   PyObject_RichCompareBool + 78 (Python) [0x10422e686]
                            1   <Kernel mode>
                        12  ??? (Python + 223182) [0x10422a7ce]
                          1   <Kernel mode>
                        8   ??? (Python + 223248) [0x10422a810]
                          1   <Kernel mode>
                        2   ??? (Python + 223147) [0x10422a7ab]
                        2   ??? (Python + 223233) [0x10422a801]
                        1   ??? (Python + 223159) [0x10422a7b7]
                      8   ??? (Python + 224656) [0x10422ad90]
                      1   PyObject_GetItem + 37 (Python) [0x1041fa8e3]
                    11  PyEval_EvalFrameEx + 1309 (Python) [0x104277ad0]
                      10  ??? (Python + 182504) [0x1042208e8]
                        1   <Kernel mode>
                      1   ??? (Python + 182494) [0x1042208de]
                    2   PyEval_EvalFrameEx + 1067 (Python) [0x1042779de]
                    1   PyEval_EvalFrameEx + 2282 (Python) [0x104277e9d]
                    1   PyEval_EvalFrameEx + 1710 (Python) [0x104277c61]
                    1   PyEval_EvalFrameEx + 1081 (Python) [0x1042779ec]
                    1   PyEval_EvalFrameEx + 2545 (Python) [0x104277fa4]
                      1   <Kernel mode>
                    1   PyEval_EvalFrameEx + 689 (Python) [0x104277864]
                      1   <Kernel mode>
                    1   PyEval_EvalFrameEx + 735 (Python) [0x104277892]
                    1   PyEval_EvalFrameEx + 1347 (Python) [0x104277af6]
                    1   PyEval_EvalFrameEx + 481 (Python) [0x104277794]
                    1   PyEval_EvalFrameEx + 1508 (Python) [0x104277b97]
                    1   PyEval_EvalFrameEx + 2302 (Python) [0x104277eb1]
                    1   PyEval_EvalFrameEx + 967 (Python) [0x10427797a]
                    1   PyObject_GetItem + 49 (Python) [0x1041fa8ef]
                    1   PyEval_EvalFrameEx + 2326 (Python) [0x104277ec9]
                    1   PyEval_EvalFrameEx + 985 (Python) [0x10427798c]
                    1   PyEval_EvalFrameEx + 9300 (Python) [0x104279a07]
                    1   PyEval_EvalFrameEx + 991 (Python) [0x104277992]
                    1   PyEval_EvalFrameEx + 1085 (Python) [0x1042779f0]
                    1   PyEval_EvalFrameEx + 1088 (Python) [0x1042779f3]
                    1   ??? (Python + 182456) [0x1042208b8]
                    1   PyEval_EvalFrameEx + 962 (Python) [0x104277975]
                    1   PyEval_EvalFrameEx + 10553 (Python) [0x104279eec]

  Binary Images:
         0x1041ec000 -        0x1041ecfff  org.python.python 2.7.10 (2.7.10) <C517A5DB-2554-3B18-B185-056F652B2F55> /System/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
         0x1041f4000 -        0x1042e5ff7  org.python.python 2.7.10 (2.7.10) <ABBA93BD-FB4A-34EB-8362-650D0FF6C1A1> /System/Library/Frameworks/Python.framework/Versions/2.7/Python
      0x7fff90c7c000 -     0x7fff90c84fe7  libsystem_platform.dylib (74.10.3) <D3A27E10-7F08-3603-ACC8-7A92B2C04BAB> /usr/lib/system/libsystem_platform.dylib
      0x7fff9a19d000 -     0x7fff9a1a0ffb  libdyld.dylib (360.19) <AA629043-C6F6-32FE-8007-E3478E99ACA7> /usr/lib/system/libdyld.dylib


Powerstats for:  gpsbabel
UUID:            DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2
Start time:      2016-03-18 16:13:22 -0300
End time:        2016-03-18 16:17:07 -0300
Microstackshots: 77 samples (32%)
Primary state:   51 samples Non-Frontmost App, User mode, Thread QoS Legacy
User Activity:   0 samples Idle, 77 samples Active
Power Source:    0 samples on Battery, 77 samples on AC
  77 ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 4948) [0x100001354]
    63 ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 7284) [0x100001c74]
      32 ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 426821) [0x100068345]
        32 ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2792953) [0x10059ddf9]
          6  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2751101) [0x100593a7d]
            6  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767970) [0x1003af7e2]
              6  realloc + 214 (libsystem_malloc.dylib) [0x7fff8c64bf09]
                6  malloc_zone_realloc + 78 (libsystem_malloc.dylib) [0x7fff8c6493e2]
                  5  szone_realloc + 1003 (libsystem_malloc.dylib) [0x7fff8c6497ff]
                    5  _platform_memmove$VARIANT$Nehalem + 71 (libsystem_platform.dylib) [0x7fff90c7d8a7]
                      5  <Kernel mode>
                  1  szone_realloc + 1014 (libsystem_malloc.dylib) [0x7fff8c64980a]
                    1  szone_free + 578 (libsystem_malloc.dylib) [0x7fff8c64a873]
          4  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2753048) [0x100594218]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2834592) [0x1005a80a0]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2834612) [0x1005a80b4]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2834368) [0x1005a7fc0]
              1  <Kernel mode>
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2834472) [0x1005a8028]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2801039) [0x10059fd8f]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1434844) [0x1004524dc]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1407151) [0x10044b8af]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1753667) [0x1004a0243]
                      1  read + 10 (libsystem_kernel.dylib) [0x7fff9545f45e]
                        1  <Kernel mode>
          4  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2753422) [0x10059438e]
            2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2830968) [0x1005a7278]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2801408) [0x10059ff00]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2531395) [0x10055e043]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2539666) [0x100560092]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2536720) [0x10055f510]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2801039) [0x10059fd8f]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1434844) [0x1004524dc]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1407151) [0x10044b8af]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1753667) [0x1004a0243]
                      1  read + 10 (libsystem_kernel.dylib) [0x7fff9545f45e]
                        1  <Kernel mode>
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2830887) [0x1005a7227]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2831424) [0x1005a7440]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2751039) [0x100593a3f]
            2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767862) [0x1003af776]
              2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 768043) [0x1003af82b]
                2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 179017) [0x10031fb49]
                  2  malloc + 42 (libsystem_malloc.dylib) [0x7fff8c6440dc]
                    2  malloc_zone_malloc + 71 (libsystem_malloc.dylib) [0x7fff8c6455b1]
                      2  os_lock_lock + 6 (libsystem_platform.dylib) [0x7fff90c7daca]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2830801) [0x1005a71d1]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2754364) [0x10059473c]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2783312) [0x10059b850]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 835995) [0x1003c019b]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2782562) [0x10059b562]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2751271) [0x100593b27]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2772952) [0x100598fd8]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2771923) [0x100598bd3]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2764405) [0x100596e75]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2772182) [0x100598cd6]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2771626) [0x100598aaa]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2756226) [0x100594e82]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2832200) [0x1005a7748]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2801039) [0x10059fd8f]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1434844) [0x1004524dc]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1407151) [0x10044b8af]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 1753667) [0x1004a0243]
                      1  read + 10 (libsystem_kernel.dylib) [0x7fff9545f45e]
                        1  <Kernel mode>
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2772968) [0x100598fe8]
            1  <Kernel mode>
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2764628) [0x100596f54]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2843650) [0x1005aa402]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2771173) [0x1005988e5]
      17 ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 426989) [0x1000683ed]
        12 ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 430313) [0x1000690e9]
          3  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469704) [0x100072ac8]
            2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 38947) [0x100009823]
              2  strdup + 32 (libsystem_c.dylib) [0x7fff88b97b87]
                2  malloc + 42 (libsystem_malloc.dylib) [0x7fff8c6440dc]
                  2  malloc_zone_malloc + 71 (libsystem_malloc.dylib) [0x7fff8c6455b1]
                    1  szone_malloc_should_clear + 305 (libsystem_malloc.dylib) [0x7fff8c645722]
                    1  szone_malloc_should_clear + 292 (libsystem_malloc.dylib) [0x7fff8c645715]
                      1  tiny_malloc_from_free_list + 1443 (libsystem_malloc.dylib) [0x7fff8c646c6f]
                        1  tiny_free_list_add_ptr + 256 (libsystem_malloc.dylib) [0x7fff8c648c14]
            1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 38906) [0x1000097fa]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 798934) [0x1003b70d6]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2536336) [0x10055f390]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 185954) [0x100321662]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 187615) [0x100321cdf]
                      1  realloc + 214 (libsystem_malloc.dylib) [0x7fff8c64bf09]
                        1  malloc_zone_realloc + 78 (libsystem_malloc.dylib) [0x7fff8c6493e2]
                          1  szone_realloc + 116 (libsystem_malloc.dylib) [0x7fff8c649488]
                            1  <Kernel mode>
          2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469570) [0x100072a42]
            2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 38906) [0x1000097fa]
              2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 798934) [0x1003b70d6]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2535955) [0x10055f213]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 185854) [0x1003215fe]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 179017) [0x10031fb49]
                      1  malloc + 42 (libsystem_malloc.dylib) [0x7fff8c6440dc]
                        1  malloc_zone_malloc + 71 (libsystem_malloc.dylib) [0x7fff8c6455b1]
                          1  szone_malloc_should_clear + 76 (libsystem_malloc.dylib) [0x7fff8c64563d]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2536336) [0x10055f390]
                  1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 185954) [0x100321662]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 187615) [0x100321cdf]
                      1  realloc + 214 (libsystem_malloc.dylib) [0x7fff8c64bf09]
                        1  malloc_zone_realloc + 78 (libsystem_malloc.dylib) [0x7fff8c6493e2]
                          1  szone_realloc + 55 (libsystem_malloc.dylib) [0x7fff8c64944b]
                            1  szone_size + 187 (libsystem_malloc.dylib) [0x7fff8c64712c]
                              1  <Kernel mode>
          2  os_lock_unlock + 6 (libsystem_platform.dylib) [0x7fff90c7dbf4]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 470638) [0x100072e6e]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469695) [0x100072abf]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 835879) [0x1003c0127]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767101) [0x1003af47d]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469756) [0x100072afc]
            1  szone_free_definite_size + 2686 (libsystem_malloc.dylib) [0x7fff8c647e2c]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469561) [0x100072a39]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 835879) [0x1003c0127]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767095) [0x1003af477]
                1  <Kernel mode>
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 469637) [0x100072a85]
        3  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 430155) [0x10006904b]
          2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 763685) [0x1003ae725]
            2  szone_free_definite_size + 2638 (libsystem_malloc.dylib) [0x7fff8c647dfc]
              1  tiny_free_list_add_ptr + 108 (libsystem_malloc.dylib) [0x7fff8c648b80]
                1  <Kernel mode>
              1  tiny_free_list_add_ptr + 346 (libsystem_malloc.dylib) [0x7fff8c648c6e]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 763644) [0x1003ae6fc]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 434513) [0x10006a151]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 468540) [0x10007263c]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 799887) [0x1003b748f]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 430228) [0x100069094]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 473088) [0x100073800]
            1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 473410) [0x100073942]
              1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 775135) [0x1003b13df]
                1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 775232) [0x1003b1440]
      2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 423966) [0x10006781e]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 422696) [0x100067328]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 38947) [0x100009823]
            1  _platform_memmove + 134 (libsystem_platform.dylib) [0x7fff90c7d820]
        1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 446385) [0x100360fb1]
          1  <Kernel mode>
      2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 426974) [0x1000683de]
        2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 835879) [0x1003c0127]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767088) [0x1003af470]
            1  _platform_memmove$VARIANT$Nehalem + 98 (libsystem_platform.dylib) [0x7fff90c7d8c2]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767047) [0x1003af447]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 179033) [0x10031fb59]
      2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427170) [0x1000684a2]
        2  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 763685) [0x1003ae725]
          2  szone_free_definite_size + 2638 (libsystem_malloc.dylib) [0x7fff8c647dfc]
            2  tiny_free_list_add_ptr + 108 (libsystem_malloc.dylib) [0x7fff8c648b80]
              2  <Kernel mode>
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427722) [0x1000686ca]
        1  szone_free_definite_size + 3094 (libsystem_malloc.dylib) [0x7fff8c647fc4]
          1  tiny_free_list_remove_ptr + 102 (libsystem_malloc.dylib) [0x7fff8c64922d]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427820) [0x10006872c]
        1  szone_free_definite_size + 1334 (libsystem_malloc.dylib) [0x7fff8c6478e4]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427764) [0x1000686f4]
        1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767862) [0x1003af776]
          1  malloc_zone_free + 96 (libsystem_malloc.dylib) [0x7fff8c64be33]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427857) [0x100068751]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427472) [0x1000685d0]
        1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 802275) [0x1003b7de3]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 426916) [0x1000683a4]
        1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 836585) [0x1003c03e9]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767862) [0x1003af776]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 767970) [0x1003af7e2]
              1  realloc + 214 (libsystem_malloc.dylib) [0x7fff8c64bf09]
                1  malloc_zone_realloc + 78 (libsystem_malloc.dylib) [0x7fff8c6493e2]
                  1  szone_realloc + 1003 (libsystem_malloc.dylib) [0x7fff8c6497ff]
                    1  _platform_memmove$VARIANT$Nehalem + 303 (libsystem_platform.dylib) [0x7fff90c7d98f]
                      1  <Kernel mode>
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 427776) [0x100068700]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 471769) [0x1000732d9]
          1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 763685) [0x1003ae725]
            1  szone_free_definite_size + 2638 (libsystem_malloc.dylib) [0x7fff8c647dfc]
              1  tiny_free_list_add_ptr + 108 (libsystem_malloc.dylib) [0x7fff8c648b80]
                1  <Kernel mode>
      1  operator new[](unsigned long, std::nothrow_t const&) + 49 (libc++abi.dylib) [0x7fff949553f1]
    8  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 7603) [0x100001db3]
      7  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 1366304) [0x10014d920]
        7  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 28161) [0x100006e01]
          7  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 144135) [0x100023307]
            7  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 144526) [0x10002348e]
              5  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440094) [0x10006b71e]
                3  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440133) [0x10006b745]
                  1  szone_free_definite_size + 2638 (libsystem_malloc.dylib) [0x7fff8c647dfc]
                    1  tiny_free_list_add_ptr + 330 (libsystem_malloc.dylib) [0x7fff8c648c5e]
                      1  <Kernel mode>
                  1  szone_free_definite_size + 1232 (libsystem_malloc.dylib) [0x7fff8c64787e]
                  1  szone_free_definite_size + 2289 (libsystem_malloc.dylib) [0x7fff8c647c9f]
                1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440169) [0x10006b769]
                  1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 145422) [0x10002380e]
                    1  szone_free_definite_size + 2331 (libsystem_malloc.dylib) [0x7fff8c647cc9]
                      1  <Kernel mode>
                1  os_lock_unlock + 6 (libsystem_platform.dylib) [0x7fff90c7dbf4]
              1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440157) [0x10006b75d]
                1  szone_free_definite_size + 1402 (libsystem_malloc.dylib) [0x7fff8c647928]
              1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440177) [0x10006b771]
                1  szone_free_definite_size + 4823 (libsystem_malloc.dylib) [0x7fff8c648685]
                  1  madvise + 10 (libsystem_kernel.dylib) [0x7fff9545f0ce]
                    1  <Kernel mode>
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 1366312) [0x10014d928]
        1  szone_free_definite_size + 4823 (libsystem_malloc.dylib) [0x7fff8c648685]
          1  madvise + 10 (libsystem_kernel.dylib) [0x7fff9545f0ce]
            1  <Kernel mode>
    2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 7301) [0x100001c85]
      2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 13712) [0x100003590]
        2  <Kernel mode>
    2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 10215) [0x1000027e7]
      2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 14280) [0x1000037c8]
        2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 19031) [0x100004a57]
          2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 24363) [0x100005f2b]
            2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 28161) [0x100006e01]
              2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 144135) [0x100023307]
                2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 144526) [0x10002348e]
                  2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440094) [0x10006b71e]
                    2  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 440157) [0x10006b75d]
                      2  free + 61 (libsystem_malloc.dylib) [0x7fff8c646f04]
                        2  szone_size + 726 (libsystem_malloc.dylib) [0x7fff8c647347]
    1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 7598) [0x100001dae]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 1362087) [0x10014c8a7]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 13681) [0x100003571]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 1375599) [0x10014fd6f]
            1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 473089) [0x100367801]
              1  <Kernel mode>
    1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 6113) [0x1000017e1]
      1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 445134) [0x10006cace]
        1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 13717) [0x100003595]
          1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 452483) [0x10006e783]
            1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 459619) [0x100070363]
              1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 459619) [0x100070363]
                1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 459560) [0x100070328]
                  1  ??? (<DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2> + 463984) [0x100071470]
                    1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2821522) [0x1005a4d92]
                      1  ??? (<D231341E-3F5C-3AEE-A105-650DD9A3EFCD> + 2817381) [0x1005a3d65]
                        1  free + 61 (libsystem_malloc.dylib) [0x7fff8c646f04]
                          1  szone_size + 658 (libsystem_malloc.dylib) [0x7fff8c647303]

  Binary Images:
         0x100000000 -                ???  ??? <DE7B5BAF-32BE-3C78-8B8A-4CEDC0F063D2>
         0x1002f4000 -                ???  ??? <D231341E-3F5C-3AEE-A105-650DD9A3EFCD>
      0x7fff88b3c000 -     0x7fff88bc9fff  libsystem_c.dylib (1082.20.4) <EAB38A6C-8671-3B13-B500-90EC1B912063> /usr/lib/system/libsystem_c.dylib
      0x7fff8c643000 -     0x7fff8c65fff7  libsystem_malloc.dylib (67) <9EECAB18-F025-34C4-8E32-7EFFA6720EFC> /usr/lib/system/libsystem_malloc.dylib
      0x7fff90c7c000 -     0x7fff90c84fe7  libsystem_platform.dylib (74.10.3) <D3A27E10-7F08-3603-ACC8-7A92B2C04BAB> /usr/lib/system/libsystem_platform.dylib
      0x7fff94931000 -     0x7fff9495afff  libc++abi.dylib (125) <DCCC8177-3D09-35BC-9784-2A04FEC4C71B> /usr/lib/libc++abi.dylib
      0x7fff95447000 -     0x7fff95465fff  libsystem_kernel.dylib (3248.30.4) <9CEB6C3B-1CAF-3C32-A9FD-93BC72CBCEA1> /usr/lib/system/libsystem_kernel.dylib
 

comment:8 Changed 4 years ago by lists@…

From system log, shortly before the previous diagnostic, but it refers to com.apple.appkit.xpc, so I am unsure if this is valid at all

Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetFillColorWithColor: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetStrokeColorWithColor: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetCompositeOperation: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetCompositeOperation: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextFillRects: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetCompositeOperation: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextClipToRect: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: It does not make sense to draw an image when [NSGraphicsContext currentContext] is nil.  This is a programming error. Break on void _NSWarnForDrawingImageWithNoCurrentContext() to debug.  This will be logged only once.  This may break in the future.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetShouldSmoothFonts: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetFontAntialiasingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetShouldSmoothFonts: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetFontAntialiasingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetCTM: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetDefaultUserSpaceToDeviceSpaceTransform: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSaveGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextConcatCTM: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSaveGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextDrawImages: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextRestoreGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 --- last message repeated 1 time ---
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetCTM: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 --- last message repeated 1 time ---
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetDefaultUserSpaceToDeviceSpaceTransform: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSaveGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextConcatCTM: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSaveGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextDrawImages: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextRestoreGState: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 --- last message repeated 1 time ---
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetCTM: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetShouldSmoothFonts: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextGetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:19 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: CGContextSetFontSmoothingStyle: invalid context 0x0. If you want to see the backtrace, please set CG_CONTEXT_SHOW_BACKTRACE environmental variable.
Mar 18 16:11:21 --- last message repeated 1 time ---
Mar 18 16:11:21 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: Error in CoreDragRemoveTrackingHandler: -1856
Mar 18 16:11:21 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: Error in CoreDragRemoveReceiveHandler: -1856
Mar 18 16:11:23 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: Error in CoreDragRemoveTrackingHandler: -1856
Mar 18 16:11:23 Auns-MacBook-Pro com.apple.appkit.xpc.openAndSavePanelService[54324]: Error in CoreDragRemoveReceiveHandler: -1856

comment:9 Changed 4 years ago by Don-vip

Owner: changed from lists@… to team
Status: needinfonew

comment:10 Changed 4 years ago by Don-vip

Resolution: othersoftware
Status: newclosed

I was able to test JOSM on OSX today, and did not see any problem. The issue comes from your setup, but I have absolutely no idea from where it comes from, sorry. You might ask for help to specialized OSX forums or mailing lists.

comment:11 Changed 4 years ago by Aun Johnsen <lists@…>

I have done a few upgrades of both JOSM and Java since this event, and havn't seen the same again, so it must have been a special connection between events and versions occurring. I guess it will be impossible to reproduce unless I roll back the computer to the instant when the error occurred. I do not have backups that long back, my time machine excludes oldest backup when running out of diskspace.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.